Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1736722 - sugar-paint: FTBFS in Fedora rawhide/f31
Summary: sugar-paint: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar-paint
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalpa Welivitigoda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841 SugarOnPy3
TreeView+ depends on / blocked
 
Reported: 2019-08-01 20:26 UTC by Fedora Release Engineering
Modified: 2020-01-30 15:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-30 15:04:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2019-08-01 20:26 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2019-08-01 20:26 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2019-08-01 20:26 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 20:26:41 UTC
sugar-paint failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36637741


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix sugar-paint at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
sugar-paint will be orphaned. Before branching of Fedora 32,
sugar-paint will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 20:26:43 UTC
Created attachment 1599391 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 20:26:46 UTC
Created attachment 1599392 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 20:26:47 UTC
Created attachment 1599393 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:51:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:01:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Release Engineering 2019-09-22 04:36:14 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 7 Peter Robinson 2019-09-22 07:59:12 UTC
In the sugar fix queue


Note You need to log in before you can comment on or make changes to this bug.